Subject: bug#3807: 23.1.50; vc-dir ignores .gitignore

From: Stefan Monnier <[email-masked]>
Date: Wed, 15 Jul 2009 15:06:39 -0400

> We could make `vc-git-responsible-p' (and all the other functions that
> do the same) not return t in this case, but I doubt it's worth the added
> extra complexity. 
> Stefan, what do you think?

I think that rather than having an external loop for all backends which
inside walks up the diretory hierarchy, we need an external loop which
walks up the directory hierarchy and inside loops over all backends.

        Stefan